---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: ceph-mediafs-secret
  namespace: csi-cephfs
spec:
  vaultAuthRef: ceph-csi-cephfs
  mount: kv
  type: kv-v2
  path: service/kubernetes/au/syd1/csi/ceph-mediafs-secret
  refreshAfter: 5m
  destination:
    name: ceph-mediafs-secret
    create: true
